Tenant permissions
Tenant permissions are assigned by Bloom depending on the tenant's subscription plan.
Tenant permission object
By requesting the permission-related fields, the entire permission object will be returned.
Example including the related permission object:
{
"id": "01988bb8-1e13-72cc-9813-832338501jdn",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"permission": {
"id": "019429e0-6bd4-7da7-ab8d-83f22dcbc3f2",
"name": "activities:create",
"description": "Create activities",
"created_at": "2025-01-03 01:56:01",
"updated_at": "2025-03-07 02:38:35"
},
"created_at": "2025-08-08 22:05:56",
"updated_at": null
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- permission.idrequired readonly stringUnique ID of the permission record.
- permission.namerequired readonly stringUnique name of the permission.
- permission.descriptionnullable readonly stringDescription of the permission.
- permission.created_atreadonly stringUTC timestamp of when the permission was created.
- permission.updated_atnullable readonly stringUTC timestamp of when the permission was last updated.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
List tenant permissions
GET /tenants/{tenantId}/permissions
Required permissions
tenant_permissions:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of tenant permission objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a tenant permission
GET /tenants/{tenantId}/permissions/{id}
Required permissions
tenant_permissions:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Tenant permission object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or permission ID not found | Error object |
Was this page helpful?